Package org.apache.lucene.analysis.opennlp

# Class SentenceAttributeExtractor

java.lang.Object
org.apache.lucene.analysis.opennlp.SentenceAttributeExtractor

public class SentenceAttributeExtractor extends Object
Iterate through sentence tokens and cache their attributes. Could consider moving this to a more central location to be used by other sentence-aware components.

May want to consider making this its own Filter so that extracted sentence token attributes can be shared by downstream sentence-aware filters.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SentenceAttributeExtractor(TokenStream input, SentenceAttribute sentenceAtt)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `allSentencesProcessed()`
  `List<AttributeSource>`
  `extractSentenceAttributes()`
  `List<AttributeSource>`
  `getSentenceAttributes()`
  `void`
  `reset()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SentenceAttributeExtractor

    public SentenceAttributeExtractor(TokenStream input, SentenceAttribute sentenceAtt)

- ## Method Details

  - ### extractSentenceAttributes

    public List<AttributeSource> extractSentenceAttributes() throws IOException
    Throws:
      `IOException`

  - ### getSentenceAttributes

    public List<AttributeSource> getSentenceAttributes()

  - ### allSentencesProcessed

    public boolean allSentencesProcessed()

  - ### reset

    public void reset()